#include <iostream>
#include <fstream>
#include <iomanip>

using namespace std;

int main()
{ ifstream f("tinh.inp");
int n;
f>>n;
f.close();
ofstream f1("tinh.out");
int i;
double k;
int s=0,gt=1;
float p=0;
for (i=1;i<=2*n+1;i++)
{ if (i%2==1)
    { s=s+i;}
}
for (i=1;i<=n;i++)
{ gt=gt*i;}
for (k=2;k<=n;k++)
{ p=p+1/(k*(k+1));}
int fibo,fibo1=1,fibo2=1;
if (n==1) fibo= 1;
if (n==2) fibo= 1;
if (n>2)
{for(i=3;i<=n;i++)
{

fibo=fibo1+fibo2;
fibo1=fibo2;
fibo2=fibo;

}}

f1.setf (ios::fixed);
f1.setf (ios::showpoint);
f1.precision(2);
f1<<s<<endl<<gt<<endl<<p<<endl<<fibo;
f1.close();
return 0;
}
